Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Dependency

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Dependency

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Dependency

extends Object

3.0.0+

Java class for Dependency complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Dependency">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="classifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="scope" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="systemPath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="exclusions" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="exclusion" type="{http://maven.apache.org/POM/4.0.0}Exclusion" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="optional" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Dependency.Exclusions` Java class for anonymous complex type.

Field Summary
`protected String` | `artifactId`
`protected String` | `classifier`
`protected Dependency.Exclusions` | `exclusions`
`protected String` | `groupId`
`protected Boolean` | `optional`
`protected String` | `scope`
`protected String` | `systemPath`
`protected String` | `type`
`protected String` | `version`

Constructor Summary
`Dependency()`

Method Summary
`String` | `getArtifactId()` Gets the value of the artifactId property.
`String` | `getClassifier()` Gets the value of the classifier property.
`Dependency.Exclusions` | `getExclusions()` Gets the value of the exclusions property.
`String` | `getGroupId()` Gets the value of the groupId property.
`String` | `getScope()` Gets the value of the scope property.
`String` | `getSystemPath()` Gets the value of the systemPath property.
`String` | `getType()` Gets the value of the type property.
`String` | `getVersion()` Gets the value of the version property.
`Boolean` | `isOptional()` Gets the value of the optional property.
`void` | `setArtifactId(String value)` Sets the value of the artifactId property.
`void` | `setClassifier(String value)` Sets the value of the classifier property.
`void` | `setExclusions(Dependency.Exclusions value)` Sets the value of the exclusions property.
`void` | `setGroupId(String value)` Sets the value of the groupId property.
`void` | `setOptional(Boolean value)` Sets the value of the optional property.
`void` | `setScope(String value)` Sets the value of the scope property.
`void` | `setSystemPath(String value)` Sets the value of the systemPath property.
`void` | `setType(String value)` Sets the value of the type property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String groupId

### artifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String artifactId

### version

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String version

### type

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String type

### classifier

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String classifier

### scope

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String scope

### systemPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String systemPath

### exclusions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Dependency.Exclusions exclusions

### optional

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean optional

Constructor Detail

### Dependency

    public Dependency()

Method Detail

### getGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getGroupId()

  Gets the value of the groupId property.

  Returns:
    possible object is `String`

### setGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGroupId(String value)

  Sets the value of the groupId property.

  Parameters:
    `value` - allowed object is `String`

### getArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArtifactId()

  Gets the value of the artifactId property.

  Returns:
    possible object is `String`

### setArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArtifactId(String value)

  Sets the value of the artifactId property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getType

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getClassifier

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getClassifier()

  Gets the value of the classifier property.

  Returns:
    possible object is `String`

### setClassifier

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setClassifier(String value)

  Sets the value of the classifier property.

  Parameters:
    `value` - allowed object is `String`

### getScope

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getScope()

  Gets the value of the scope property.

  Returns:
    possible object is `String`

### setScope

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setScope(String value)

  Sets the value of the scope property.

  Parameters:
    `value` - allowed object is `String`

### getSystemPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getSystemPath()

  Gets the value of the systemPath property.

  Returns:
    possible object is `String`

### setSystemPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSystemPath(String value)

  Sets the value of the systemPath property.

  Parameters:
    `value` - allowed object is `String`

### getExclusions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Dependency.Exclusions getExclusions()

  Gets the value of the exclusions property.

  Returns:
    possible object is `Dependency.Exclusions`

### setExclusions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExclusions(Dependency.Exclusions value)

  Sets the value of the exclusions property.

  Parameters:
    `value` - allowed object is `Dependency.Exclusions`

### isOptional

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isOptional()

  Gets the value of the optional property.

  Returns:
    possible object is `Boolean`

### setOptional

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOptional(Boolean value)

  Sets the value of the optional property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.